package com.ruoyi.project.plant.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.plant.mapper.TMtdEmailMapper;
import com.ruoyi.project.plant.domain.TMtdEmail;
import com.ruoyi.project.plant.service.ITMtdEmailService;

/**
 * 会议邮件配置Service业务层处理
 *
 * @author ssy
 * @date 2023-12-05
 */
@Service
public class TMtdEmailServiceImpl implements ITMtdEmailService
{
    @Autowired
    private TMtdEmailMapper tMtdEmailMapper;

    /**
     * 查询会议邮件配置
     *
     * @param id 会议邮件配置ID
     * @return 会议邮件配置
     */
    @Override
    public TMtdEmail selectTMtdEmailById(Long id)
    {
        return tMtdEmailMapper.selectTMtdEmailById(id);
    }

    /**
     * 查询会议邮件配置列表
     *
     * @param tMtdEmail 会议邮件配置
     * @return 会议邮件配置
     */
    @Override
    public List<TMtdEmail> selectTMtdEmailList(TMtdEmail tMtdEmail)
    {
        return tMtdEmailMapper.selectTMtdEmailList(tMtdEmail);
    }

    /**
     * 新增会议邮件配置
     *
     * @param tMtdEmail 会议邮件配置
     * @return 结果
     */
    @Override
    public int insertTMtdEmail(TMtdEmail tMtdEmail)
    {
        return tMtdEmailMapper.insertTMtdEmail(tMtdEmail);
    }

    /**
     * 修改会议邮件配置
     *
     * @param tMtdEmail 会议邮件配置
     * @return 结果
     */
    @Override
    public int updateTMtdEmail(TMtdEmail tMtdEmail)
    {
        return tMtdEmailMapper.updateTMtdEmail(tMtdEmail);
    }

    /**
     * 批量删除会议邮件配置
     *
     * @param ids 需要删除的会议邮件配置ID
     * @return 结果
     */
    @Override
    public int deleteTMtdEmailByIds(Long[] ids)
    {
        return tMtdEmailMapper.deleteTMtdEmailByIds(ids);
    }

    /**
     * 删除会议邮件配置信息
     *
     * @param id 会议邮件配置ID
     * @return 结果
     */
    @Override
    public int deleteTMtdEmailById(Long id)
    {
        return tMtdEmailMapper.deleteTMtdEmailById(id);
    }
}
